#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hashed-storage
version: 0.5.11
id: hashed-storage-0.5.11-017ace83828fc3a1d33ef1b13cda9dd8
key: hashe_8tk31iuF5C13yMtVMH4IZr
license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
synopsis: Hashed file storage support code.
description:
    Support code for reading and manipulating hashed file storage
    (where each file and directory is associated with a
    cryptographic hash, for corruption-resistant storage and fast
    comparisons).
    .
    The supported storage formats include darcs hashed pristine, a
    plain filesystem tree and an indexed plain tree (where the index
    maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules:
    Storage.Hashed Storage.Hashed.AnchoredPath Storage.Hashed.Index
    Storage.Hashed.Monad Storage.Hashed.Tree Storage.Hashed.Hash
    Storage.Hashed.Packed Storage.Hashed.Plain Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/hashed-storage-0.5.11
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/hashed-storage-0.5.11
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/hashed-storage-0.5.11
hs-libraries: HShashed-storage-0.5.11-8tk31iuF5C13yMtVMH4IZr
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    binary-0.7.5.0-210ed49a66bfc1910dcc35f4d9fcd9cd
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    dataenc-0.14.0.7-abe4fbf1d3421e976ca2c2d0ca950b8a
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-8fee9c13b5e42926cc01f6aa7c403c4b
    mmap-0.5.9-8e05ca33188b79b66fe3558cb42f1f8b
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    zlib-0.5.4.2-d36f531ac8e39e3d6ba58d89b378a382
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/hashed-storage-0.5.11/html/hashed-storage.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/hashed-storage-0.5.11/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
